From 63b45bb0fea82c559d2914cf99aba256be0aa7fb Mon Sep 17 00:00:00 2001
From: Chris Adams <chris.adams@qinetic.com.au>
Date: Thu, 29 Oct 2020 16:24:18 +1000
Subject: [PATCH 22/32] Mark virtual methods with override keyword

Change-Id: I2adb66316d6d1943d591d2538ea2b7f93280118c
Reviewed-by: Bea Lam <bea.lam@jollamobile.com>
Signed-off-by: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
---
 .../engines/qcontactinvalidbackend_p.h        |  4 ++--
 src/contacts/filters/qcontactactionfilter_p.h |  8 +++----
 .../filters/qcontactchangelogfilter_p.h       |  8 +++----
 .../filters/qcontactcollectionfilter_p.h      |  8 +++----
 src/contacts/filters/qcontactdetailfilter_p.h |  8 +++----
 .../filters/qcontactdetailrangefilter_p.h     |  8 +++----
 src/contacts/filters/qcontactidfilter_p.h     |  8 +++----
 .../filters/qcontactintersectionfilter_p.h    |  8 +++----
 .../filters/qcontactinvalidfilter.cpp         | 12 +++++-----
 .../filters/qcontactrelationshipfilter_p.h    |  8 +++----
 src/contacts/filters/qcontactunionfilter_p.h  |  8 +++----
 src/contacts/qcontactdetail_p.h               | 12 +++++-----
 src/contacts/qcontactfilter_p.h               |  4 ++--
 src/contacts/qcontactmanager.h                |  4 ++--
 src/contacts/qcontactmanagerenginefactory.h   |  6 ++---
 src/contacts/requests/qcontactrequests_p.h    | 22 +++++++++----------
 .../qorganizeritemcollectionfilter_p.h        |  8 +++----
 .../qorganizeritemdetailfieldfilter_p.h       |  8 +++----
 .../filters/qorganizeritemdetailfilter_p.h    |  8 +++----
 .../qorganizeritemdetailrangefilter_p.h       |  8 +++----
 .../filters/qorganizeritemidfilter_p.h        |  8 +++----
 .../qorganizeritemintersectionfilter_p.h      |  8 +++----
 .../filters/qorganizeriteminvalidfilter.cpp   | 12 +++++-----
 .../filters/qorganizeritemunionfilter_p.h     |  8 +++----
 src/organizer/qorganizeritemfilter_p.h        |  4 ++--
 .../qorganizermanagerenginefactory.h          |  6 ++---
 .../requests/qorganizeritemrequests_p.h       | 22 +++++++++----------
 src/versit/qvcard21writer_p.h                 |  4 ++--
 src/versit/qvcard30writer_p.h                 |  4 ++--
 src/versit/qversitcontacthandler.h            | 10 ++++-----
 src/versit/qversitreader_p.h                  |  2 +-
 src/versit/qversitresourcehandler.h           |  4 ++--
 src/versit/qversitwriter_p.h                  |  2 +-
 33 files changed, 131 insertions(+), 131 deletions(-)

diff --git a/src/contacts/engines/qcontactinvalidbackend_p.h b/src/contacts/engines/qcontactinvalidbackend_p.h
index b98e87a6..2e3d2e80 100644
--- a/src/contacts/engines/qcontactinvalidbackend_p.h
+++ b/src/contacts/engines/qcontactinvalidbackend_p.h
@@ -59,10 +59,10 @@ class QContactInvalidEngine : public QContactManagerEngine
 {
 public:
     QContactInvalidEngine();
-    QString managerName() const;
+    QString managerName() const override;
 
     /*! \reimp */
-    int managerVersion() const {return 0;}
+    int managerVersion() const override {return 0;}
 };
 
 QT_END_NAMESPACE_CONTACTS
diff --git a/src/contacts/filters/qcontactactionfilter_p.h b/src/contacts/filters/qcontactactionfilter_p.h
index 9c0f64d6..514650c5 100644
--- a/src/contacts/filters/qcontactactionfilter_p.h
+++ b/src/contacts/filters/qcontactactionfilter_p.h
@@ -70,7 +70,7 @@ public:
     {
     }
 
-    bool compare(const QContactFilterPrivate* other) const
+    bool compare(const QContactFilterPrivate* other) const override
     {
         const QContactActionFilterPrivate *od = static_cast<const QContactActionFilterPrivate*>(other);
         if (m_action != od->m_action)
@@ -78,7 +78,7 @@ public:
         return true;
     }
 
-    QDataStream& outputToStream(QDataStream& stream, quint8 formatVersion) const
+    QDataStream& outputToStream(QDataStream& stream, quint8 formatVersion) const override
     {
         if (formatVersion == 1) {
             stream << m_action;
@@ -86,7 +86,7 @@ public:
         return stream;
     }
 
-    QDataStream& inputFromStream(QDataStream& stream, quint8 formatVersion)
+    QDataStream& inputFromStream(QDataStream& stream, quint8 formatVersion) override
     {
         if (formatVersion == 1) {
             stream >> m_action;
@@ -95,7 +95,7 @@ public:
     }
 
 #ifndef QT_NO_DEBUG_STREAM
-    QDebug& debugStreamOut(QDebug& dbg) const
+    QDebug& debugStreamOut(QDebug& dbg) const override
     {
         dbg.nospace() << "QContactActionFilter(";
         dbg.nospace() << "action=" << m_action;
diff --git a/src/contacts/filters/qcontactchangelogfilter_p.h b/src/contacts/filters/qcontactchangelogfilter_p.h
index 49814bd6..313828f2 100644
--- a/src/contacts/filters/qcontactchangelogfilter_p.h
+++ b/src/contacts/filters/qcontactchangelogfilter_p.h
@@ -74,7 +74,7 @@ public:
 
     }
 
-    bool compare(const QContactFilterPrivate* other) const
+    bool compare(const QContactFilterPrivate* other) const override
     {
         const QContactChangeLogFilterPrivate *od = static_cast<const QContactChangeLogFilterPrivate*>(other);
         if (m_eventType != od->m_eventType)
@@ -84,7 +84,7 @@ public:
         return true;
     }
 
-    QDataStream& outputToStream(QDataStream& stream, quint8 formatVersion) const
+    QDataStream& outputToStream(QDataStream& stream, quint8 formatVersion) const override
     {
         if (formatVersion == 1) {
             stream << static_cast<quint32>(m_eventType) << m_since;
@@ -92,7 +92,7 @@ public:
         return stream;
     }
 
-    QDataStream& inputFromStream(QDataStream& stream, quint8 formatVersion)
+    QDataStream& inputFromStream(QDataStream& stream, quint8 formatVersion) override
     {
         if (formatVersion == 1) {
             quint32 eventType;
@@ -103,7 +103,7 @@ public:
     }
 
 #ifndef QT_NO_DEBUG_STREAM
-    QDebug& debugStreamOut(QDebug& dbg) const
+    QDebug& debugStreamOut(QDebug& dbg) const override
     {
         dbg.nospace() << "QContactChangeLogFilter(";
         dbg.nospace() << "eventType=" << static_cast<quint32>(m_eventType) << ",since=" << m_since;
diff --git a/src/contacts/filters/qcontactcollectionfilter_p.h b/src/contacts/filters/qcontactcollectionfilter_p.h
index 318cb5f6..5ab720d0 100644
--- a/src/contacts/filters/qcontactcollectionfilter_p.h
+++ b/src/contacts/filters/qcontactcollectionfilter_p.h
@@ -72,7 +72,7 @@ public:
     {
     }
 
-    virtual bool compare(const QContactFilterPrivate *other) const
+    virtual bool compare(const QContactFilterPrivate *other) const override
     {
         const QContactCollectionFilterPrivate *od = static_cast<const QContactCollectionFilterPrivate *>(other);
         if (od)
@@ -81,14 +81,14 @@ public:
     }
 
 #ifndef QT_NO_DATASTREAM
-    QDataStream &outputToStream(QDataStream &stream, quint8 formatVersion) const
+    QDataStream &outputToStream(QDataStream &stream, quint8 formatVersion) const override
     {
         if (formatVersion == 1)
             stream << m_ids;
         return stream;
     }
 
-    QDataStream &inputFromStream(QDataStream &stream, quint8 formatVersion)
+    QDataStream &inputFromStream(QDataStream &stream, quint8 formatVersion) override
     {
         if (formatVersion == 1)
             stream >> m_ids;
@@ -97,7 +97,7 @@ public:
 #endif // QT_NO_DATASTREAM
 
 #ifndef QT_NO_DEBUG_STREAM
-    QDebug &debugStreamOut(QDebug &dbg) const
+    QDebug &debugStreamOut(QDebug &dbg) const override
     {
         dbg.nospace() << "QContactCollectionFilter(collectionIds=";
         QList<QContactCollectionId> ids(m_ids.values());
diff --git a/src/contacts/filters/qcontactdetailfilter_p.h b/src/contacts/filters/qcontactdetailfilter_p.h
index 9d49412d..a98eb676 100644
--- a/src/contacts/filters/qcontactdetailfilter_p.h
+++ b/src/contacts/filters/qcontactdetailfilter_p.h
@@ -76,7 +76,7 @@ public:
     {
     }
 
-    bool compare(const QContactFilterPrivate* other) const
+    bool compare(const QContactFilterPrivate* other) const override
     {
         const QContactDetailFilterPrivate *od = static_cast<const QContactDetailFilterPrivate*>(other);
         if (m_type != od->m_type)
@@ -90,7 +90,7 @@ public:
         return true;
     }
 
-    QDataStream& outputToStream(QDataStream& stream, quint8 formatVersion) const
+    QDataStream& outputToStream(QDataStream& stream, quint8 formatVersion) const override
     {
         if (formatVersion == 1) {
             stream << static_cast<quint32>(m_type) << m_fieldId << m_exactValue << static_cast<quint32>(m_flags);
@@ -98,7 +98,7 @@ public:
         return stream;
     }
 
-    QDataStream& inputFromStream(QDataStream& stream, quint8 formatVersion)
+    QDataStream& inputFromStream(QDataStream& stream, quint8 formatVersion) override
     {
         if (formatVersion == 1) {
             quint32 flags;
@@ -110,7 +110,7 @@ public:
         return stream;
     }
 #ifndef QT_NO_DEBUG_STREAM
-    QDebug& debugStreamOut(QDebug& dbg) const
+    QDebug& debugStreamOut(QDebug& dbg) const override
     {
         dbg.nospace() << "QContactDetailFilter(";
         dbg.nospace() << "detailType=" << static_cast<quint32>(m_type) << ","
diff --git a/src/contacts/filters/qcontactdetailrangefilter_p.h b/src/contacts/filters/qcontactdetailrangefilter_p.h
index c652bbc8..46f169e6 100644
--- a/src/contacts/filters/qcontactdetailrangefilter_p.h
+++ b/src/contacts/filters/qcontactdetailrangefilter_p.h
@@ -72,7 +72,7 @@ public:
     {
     }
 
-    bool compare(const QContactFilterPrivate* other) const
+    bool compare(const QContactFilterPrivate* other) const override
     {
         const QContactDetailRangeFilterPrivate *od = static_cast<const QContactDetailRangeFilterPrivate*>(other);
         if (m_typeId != od->m_typeId)
@@ -90,7 +90,7 @@ public:
         return true;
     }
 
-    QDataStream& outputToStream(QDataStream& stream, quint8 formatVersion) const
+    QDataStream& outputToStream(QDataStream& stream, quint8 formatVersion) const override
     {
         if (formatVersion == 1) {
             stream << quint32(m_typeId) << m_fieldId << m_minValue << m_maxValue
@@ -100,7 +100,7 @@ public:
         return stream;
     }
 
-    QDataStream& inputFromStream(QDataStream& stream, quint8 formatVersion)
+    QDataStream& inputFromStream(QDataStream& stream, quint8 formatVersion) override
     {
         if (formatVersion == 1) {
             quint32 flags;
@@ -115,7 +115,7 @@ public:
     }
 
 #ifndef QT_NO_DEBUG_STREAM
-    QDebug& debugStreamOut(QDebug& dbg) const
+    QDebug& debugStreamOut(QDebug& dbg) const override
     {
         dbg.nospace() << "QContactDetailRangeFilter(";
         dbg.nospace() << "detailType=" << static_cast<quint32>(m_typeId) << ","
diff --git a/src/contacts/filters/qcontactidfilter_p.h b/src/contacts/filters/qcontactidfilter_p.h
index df63bf90..e3b2b195 100644
--- a/src/contacts/filters/qcontactidfilter_p.h
+++ b/src/contacts/filters/qcontactidfilter_p.h
@@ -70,7 +70,7 @@ public:
     {
     }
 
-    bool compare(const QContactFilterPrivate* other) const
+    bool compare(const QContactFilterPrivate* other) const override
     {
         const QContactIdFilterPrivate *od = static_cast<const QContactIdFilterPrivate*>(other);
         if (m_ids != od->m_ids)
@@ -78,7 +78,7 @@ public:
         return true;
     }
 
-    QDataStream& outputToStream(QDataStream& stream, quint8 formatVersion) const
+    QDataStream& outputToStream(QDataStream& stream, quint8 formatVersion) const override
     {
         if (formatVersion == 1) {
             stream << m_ids;
@@ -86,7 +86,7 @@ public:
         return stream;
     }
 
-    QDataStream& inputFromStream(QDataStream& stream, quint8 formatVersion)
+    QDataStream& inputFromStream(QDataStream& stream, quint8 formatVersion) override
     {
         if (formatVersion == 1) {
             stream >> m_ids;
@@ -95,7 +95,7 @@ public:
     }
 
 #ifndef QT_NO_DEBUG_STREAM
-    QDebug& debugStreamOut(QDebug& dbg) const
+    QDebug& debugStreamOut(QDebug& dbg) const override
     {
         dbg.nospace() << "QContactIdFilter(";
         dbg.nospace() << "ids=" << m_ids;
diff --git a/src/contacts/filters/qcontactintersectionfilter_p.h b/src/contacts/filters/qcontactintersectionfilter_p.h
index 13ad8e6e..4707b766 100644
--- a/src/contacts/filters/qcontactintersectionfilter_p.h
+++ b/src/contacts/filters/qcontactintersectionfilter_p.h
@@ -72,7 +72,7 @@ public:
 
     }
 
-    bool compare(const QContactFilterPrivate* other) const
+    bool compare(const QContactFilterPrivate* other) const override
     {
         const QContactIntersectionFilterPrivate *od = static_cast<const QContactIntersectionFilterPrivate*>(other);
         if (m_filters != od->m_filters)
@@ -80,7 +80,7 @@ public:
         return true;
     }
 
-    QDataStream& outputToStream(QDataStream& stream, quint8 formatVersion) const
+    QDataStream& outputToStream(QDataStream& stream, quint8 formatVersion) const override
     {
         if (formatVersion == 1) {
             stream << m_filters;
@@ -88,7 +88,7 @@ public:
         return stream;
     }
 
-    QDataStream& inputFromStream(QDataStream& stream, quint8 formatVersion)
+    QDataStream& inputFromStream(QDataStream& stream, quint8 formatVersion) override
     {
         if (formatVersion == 1) {
             stream >> m_filters;
@@ -97,7 +97,7 @@ public:
     }
 
 #ifndef QT_NO_DEBUG_STREAM
-    QDebug& debugStreamOut(QDebug& dbg) const
+    QDebug& debugStreamOut(QDebug& dbg) const override
     {
         dbg.nospace() << "QContactIntersectionFilter(";
         dbg.nospace() << "filters=" << m_filters;
diff --git a/src/contacts/filters/qcontactinvalidfilter.cpp b/src/contacts/filters/qcontactinvalidfilter.cpp
index 210296c9..26c7cf75 100644
--- a/src/contacts/filters/qcontactinvalidfilter.cpp
+++ b/src/contacts/filters/qcontactinvalidfilter.cpp
@@ -62,25 +62,25 @@ public:
     {
     }
 
-    bool compare(const QContactFilterPrivate*) const
+    bool compare(const QContactFilterPrivate*) const override
     {
         return true; // all invalid filters are alike
     }
 
-    QDataStream& outputToStream(QDataStream& stream, quint8 formatVersion) const
+    QDataStream& outputToStream(QDataStream& stream, quint8 formatVersion) const override
     {
         Q_UNUSED(formatVersion);
         return stream;
     }
 
-    QDataStream& inputFromStream(QDataStream& stream, quint8 formatVersion)
+    QDataStream& inputFromStream(QDataStream& stream, quint8 formatVersion) override
     {
         Q_UNUSED(formatVersion);
         return stream;
     }
 
 #ifndef QT_NO_DEBUG_STREAM
-    QDebug& debugStreamOut(QDebug& dbg) const
+    QDebug& debugStreamOut(QDebug& dbg) const override
     {
         dbg.nospace() << "QContactInvalidFilter()";
         return dbg.maybeSpace() ;
@@ -88,12 +88,12 @@ public:
 #endif
 
     /* There is no way this can be called - d is never detached */
-    QContactFilterPrivate* clone() const
+    QContactFilterPrivate* clone() const override
     {
         return new QContactInvalidFilterPrivate();
     }
 
-    QContactFilter::FilterType type() const
+    QContactFilter::FilterType type() const override
     {
         return QContactFilter::InvalidFilter;
     }
diff --git a/src/contacts/filters/qcontactrelationshipfilter_p.h b/src/contacts/filters/qcontactrelationshipfilter_p.h
index 854dc3f7..d5d51fe3 100644
--- a/src/contacts/filters/qcontactrelationshipfilter_p.h
+++ b/src/contacts/filters/qcontactrelationshipfilter_p.h
@@ -73,7 +73,7 @@ public:
     {
     }
 
-    bool compare(const QContactFilterPrivate* other) const
+    bool compare(const QContactFilterPrivate* other) const override
     {
         const QContactRelationshipFilterPrivate *od = static_cast<const QContactRelationshipFilterPrivate*>(other);
         if (m_relatedContactRole != od->m_relatedContactRole)
@@ -85,7 +85,7 @@ public:
         return true;
     }
 
-    QDataStream& outputToStream(QDataStream& stream, quint8 formatVersion) const
+    QDataStream& outputToStream(QDataStream& stream, quint8 formatVersion) const override
     {
         if (formatVersion == 1) {
             stream << m_relationshipType << m_relatedContactId << static_cast<quint32>(m_relatedContactRole);
@@ -93,7 +93,7 @@ public:
         return stream;
     }
 
-    QDataStream& inputFromStream(QDataStream& stream, quint8 formatVersion)
+    QDataStream& inputFromStream(QDataStream& stream, quint8 formatVersion) override
     {
         if (formatVersion == 1) {
             quint32 role;
@@ -104,7 +104,7 @@ public:
     }
 
 #ifndef QT_NO_DEBUG_STREAM
-    QDebug& debugStreamOut(QDebug& dbg) const
+    QDebug& debugStreamOut(QDebug& dbg) const override
     {
         dbg.nospace() << "QContactRelationshipFilter(";
         dbg.nospace() << "relationshipType=" << m_relationshipType << ","
diff --git a/src/contacts/filters/qcontactunionfilter_p.h b/src/contacts/filters/qcontactunionfilter_p.h
index 5e76eeb9..a196caf3 100644
--- a/src/contacts/filters/qcontactunionfilter_p.h
+++ b/src/contacts/filters/qcontactunionfilter_p.h
@@ -72,7 +72,7 @@ public:
 
     }
 
-    bool compare(const QContactFilterPrivate* other) const
+    bool compare(const QContactFilterPrivate* other) const override
     {
         const QContactUnionFilterPrivate *od = static_cast<const QContactUnionFilterPrivate*>(other);
         if (m_filters != od->m_filters)
@@ -80,7 +80,7 @@ public:
         return true;
     }
 
-    QDataStream& outputToStream(QDataStream& stream, quint8 formatVersion) const
+    QDataStream& outputToStream(QDataStream& stream, quint8 formatVersion) const override
     {
         if (formatVersion == 1) {
             stream << m_filters;
@@ -88,7 +88,7 @@ public:
         return stream;
     }
 
-    QDataStream& inputFromStream(QDataStream& stream, quint8 formatVersion)
+    QDataStream& inputFromStream(QDataStream& stream, quint8 formatVersion) override
     {
         if (formatVersion == 1) {
             stream >> m_filters;
@@ -97,7 +97,7 @@ public:
     }
 
 #ifndef QT_NO_DEBUG_STREAM
-    QDebug& debugStreamOut(QDebug& dbg) const
+    QDebug& debugStreamOut(QDebug& dbg) const override
     {
         dbg.nospace() << "QContactUnionFilter(";
         dbg.nospace() << "filters=" << m_filters;
diff --git a/src/contacts/qcontactdetail_p.h b/src/contacts/qcontactdetail_p.h
index e75de64e..8a8d0873 100644
--- a/src/contacts/qcontactdetail_p.h
+++ b/src/contacts/qcontactdetail_p.h
@@ -452,7 +452,7 @@ public:
         return static_cast<Subclass *>(this);
     }
 
-    QContactDetailPrivate *clone() {
+    QContactDetailPrivate *clone() override {
         return new Subclass(*subclass());
     }
 
@@ -481,7 +481,7 @@ public:
         setHasValueBitfieldBit(true, field + BaseFieldOffset);
     }
 
-    bool setValue(int field, const QVariant &value)
+    bool setValue(int field, const QVariant &value) override
     {
         if (field < Subclass::FieldCount) {
             setValueFromVariant(subclass(), value, s_members[field]);
@@ -491,7 +491,7 @@ public:
         return QContactDetailPrivate::setValue(field, value);
     }
 
-    bool removeValue(int field)
+    bool removeValue(int field) override
     {
         if (field < Subclass::FieldCount) {
             reinitialize(subclass(), s_members[field]);
@@ -501,7 +501,7 @@ public:
         return QContactDetailPrivate::removeValue(field);
     }
 
-    bool hasValue(int field) const
+    bool hasValue(int field) const override
     {
         if (field < Subclass::FieldCount) {
             return hasValueBitfieldBitSet(field + BaseFieldOffset);
@@ -509,7 +509,7 @@ public:
         return QContactDetailPrivate::hasValue(field);
     }
 
-    QMap<int, QVariant> values() const
+    QMap<int, QVariant> values() const override
     {
         QMap<int, QVariant> retn = QContactDetailPrivate::values();
         for (int i = 0; i < Subclass::FieldCount; ++i) {
@@ -520,7 +520,7 @@ public:
         return retn;
     }
 
-    QVariant value(int field) const
+    QVariant value(int field) const override
     {
         if (field < Subclass::FieldCount) {
             return toVariant(subclass(), s_members[field]);
diff --git a/src/contacts/qcontactfilter_p.h b/src/contacts/qcontactfilter_p.h
index dfb635b3..0ddaf08a 100644
--- a/src/contacts/qcontactfilter_p.h
+++ b/src/contacts/qcontactfilter_p.h
@@ -69,8 +69,8 @@
     Class::Class(const QContactFilter& other) : QContactFilter() { Class##Private::copyIfPossible(d_ptr, other); }
 
 #define Q_IMPLEMENT_CONTACTFILTER_VIRTUALCTORS(Class, Type) \
-    QContactFilterPrivate* clone() const { return new Class##Private(*this); } \
-    virtual QContactFilter::FilterType type() const {return Type;} \
+    QContactFilterPrivate* clone() const override { return new Class##Private(*this); } \
+    virtual QContactFilter::FilterType type() const override {return Type;} \
     static void copyIfPossible(QSharedDataPointer<QContactFilterPrivate>& d_ptr, const QContactFilter& other) \
     { \
         if (other.type() == Type) \
diff --git a/src/contacts/qcontactmanager.h b/src/contacts/qcontactmanager.h
index 5621b64c..a971be69 100644
--- a/src/contacts/qcontactmanager.h
+++ b/src/contacts/qcontactmanager.h
@@ -179,8 +179,8 @@ Q_SIGNALS:
     void collectionsModified(const QList<QPair<QContactCollectionId, QContactManager::Operation> > &collectionIds);
 
 protected:
-    void connectNotify(const QMetaMethod &signal);
-    void disconnectNotify(const QMetaMethod &signal);
+    void connectNotify(const QMetaMethod &signal) override;
+    void disconnectNotify(const QMetaMethod &signal) override;
 
 private:
     friend class QContactManagerData;
diff --git a/src/contacts/qcontactmanagerenginefactory.h b/src/contacts/qcontactmanagerenginefactory.h
index 359e269e..fea46691 100644
--- a/src/contacts/qcontactmanagerenginefactory.h
+++ b/src/contacts/qcontactmanagerenginefactory.h
@@ -68,9 +68,9 @@ public:
     // engine factory functions
     virtual QList<int> supportedImplementationVersions() const;
     virtual ~QContactManagerEngineFactory();
-    virtual QContactManagerEngine* engine(const QMap<QString, QString> &parameters, QContactManager::Error *error) = 0;
-    virtual QString managerName() const = 0;
-    virtual QStringList keys() const;
+    virtual QContactManagerEngine* engine(const QMap<QString, QString> &parameters, QContactManager::Error *error) override = 0;
+    virtual QString managerName() const override = 0;
+    virtual QStringList keys() const override;
 };
 
 QT_END_NAMESPACE_CONTACTS
diff --git a/src/contacts/requests/qcontactrequests_p.h b/src/contacts/requests/qcontactrequests_p.h
index 890698e2..8722b80b 100644
--- a/src/contacts/requests/qcontactrequests_p.h
+++ b/src/contacts/requests/qcontactrequests_p.h
@@ -80,7 +80,7 @@ public:
     }
 
 #ifndef QT_NO_DEBUG_STREAM
-    QDebug& debugStreamOut(QDebug& dbg) const
+    QDebug& debugStreamOut(QDebug& dbg) const override
     {
         dbg.nospace() << "QContactSaveRequest(";
         dbg.nospace() << "contacts=" << m_contacts << ","
@@ -109,7 +109,7 @@ public:
     }
 
 #ifndef QT_NO_DEBUG_STREAM
-    QDebug& debugStreamOut(QDebug& dbg) const
+    QDebug& debugStreamOut(QDebug& dbg) const override
     {
         dbg.nospace() << "QContactFetchRequest("
                       << "filter=" << m_filter << ","
@@ -140,7 +140,7 @@ public:
     }
 
 #ifndef QT_NO_DEBUG_STREAM
-    QDebug& debugStreamOut(QDebug& dbg) const
+    QDebug& debugStreamOut(QDebug& dbg) const override
     {
         dbg.nospace() << "QContactFetchByIdRequest(\n"
                       << "* contactIds=" << m_contactIds << ",\n"
@@ -172,7 +172,7 @@ public:
     }
 
 #ifndef QT_NO_DEBUG_STREAM
-    QDebug& debugStreamOut(QDebug& dbg) const
+    QDebug& debugStreamOut(QDebug& dbg) const override
     {
         dbg.nospace() << "QContactRemoveRequest("
                       << "contactIds=" << m_contactIds << ","
@@ -199,7 +199,7 @@ public:
     }
 
 #ifndef QT_NO_DEBUG_STREAM
-    QDebug& debugStreamOut(QDebug& dbg) const
+    QDebug& debugStreamOut(QDebug& dbg) const override
     {
         dbg.nospace() << "QContactIdFetchRequest("
                       << "filter=" << m_filter << ","
@@ -229,7 +229,7 @@ public:
     }
 
 #ifndef QT_NO_DEBUG_STREAM
-    QDebug& debugStreamOut(QDebug& dbg) const
+    QDebug& debugStreamOut(QDebug& dbg) const override
     {
         dbg.nospace() << "QContactRelationshipFetchRequest("
                       << "first=" << m_first << ","
@@ -263,7 +263,7 @@ public:
     }
 
 #ifndef QT_NO_DEBUG_STREAM
-    QDebug& debugStreamOut(QDebug& dbg) const
+    QDebug& debugStreamOut(QDebug& dbg) const override
     {
         dbg.nospace() << "QContactRelationshipSaveRequest("
                       << "relationships=" << m_relationships << ","
@@ -290,7 +290,7 @@ public:
     }
 
 #ifndef QT_NO_DEBUG_STREAM
-    QDebug& debugStreamOut(QDebug& dbg) const
+    QDebug& debugStreamOut(QDebug& dbg) const override
     {
         dbg.nospace() << "QContactRelationshipRemoveRequest("
                       << "relationships=" << m_relationships << ","
@@ -317,7 +317,7 @@ public:
     }
 
 #ifndef QT_NO_DEBUG_STREAM
-    QDebug& debugStreamOut(QDebug &dbg) const
+    QDebug& debugStreamOut(QDebug &dbg) const override
     {
         dbg.nospace() << "QContactCollectionFetchRequestPrivate(";
         dbg.nospace() << "collections=";
@@ -343,7 +343,7 @@ public:
     }
 
 #ifndef QT_NO_DEBUG_STREAM
-    QDebug& debugStreamOut(QDebug &dbg) const
+    QDebug& debugStreamOut(QDebug &dbg) const override
     {
         dbg.nospace() << "QContactCollectionRemoveRequestPrivate(";
         dbg.nospace() << "collectionIds=";
@@ -373,7 +373,7 @@ public:
     }
 
 #ifndef QT_NO_DEBUG_STREAM
-    QDebug& debugStreamOut(QDebug &dbg) const
+    QDebug& debugStreamOut(QDebug &dbg) const override
     {
         dbg.nospace() << "QContactCollectionSaveRequestPrivate(";
         dbg.nospace() << "collections=";
diff --git a/src/organizer/filters/qorganizeritemcollectionfilter_p.h b/src/organizer/filters/qorganizeritemcollectionfilter_p.h
index d290948e..aa61ce39 100644
--- a/src/organizer/filters/qorganizeritemcollectionfilter_p.h
+++ b/src/organizer/filters/qorganizeritemcollectionfilter_p.h
@@ -71,7 +71,7 @@ public:
     {
     }
 
-    virtual bool compare(const QOrganizerItemFilterPrivate *other) const
+    virtual bool compare(const QOrganizerItemFilterPrivate *other) const override
     {
         const QOrganizerItemCollectionFilterPrivate *od = static_cast<const QOrganizerItemCollectionFilterPrivate *>(other);
         if (od)
@@ -80,14 +80,14 @@ public:
     }
 
 #ifndef QT_NO_DATASTREAM
-    QDataStream &outputToStream(QDataStream &stream, quint8 formatVersion) const
+    QDataStream &outputToStream(QDataStream &stream, quint8 formatVersion) const override
     {
         if (formatVersion == 1)
             stream << m_ids;
         return stream;
     }
 
-    QDataStream &inputFromStream(QDataStream &stream, quint8 formatVersion)
+    QDataStream &inputFromStream(QDataStream &stream, quint8 formatVersion) override
     {
         if (formatVersion == 1)
             stream >> m_ids;
@@ -96,7 +96,7 @@ public:
 #endif // QT_NO_DATASTREAM
 
 #ifndef QT_NO_DEBUG_STREAM
-    QDebug &debugStreamOut(QDebug &dbg) const
+    QDebug &debugStreamOut(QDebug &dbg) const override
     {
         dbg.nospace() << "QOrganizerItemCollectionFilter(collectionIds=";
         QList<QOrganizerCollectionId> ids(m_ids.values());
diff --git a/src/organizer/filters/qorganizeritemdetailfieldfilter_p.h b/src/organizer/filters/qorganizeritemdetailfieldfilter_p.h
index 775497ec..37e43e18 100644
--- a/src/organizer/filters/qorganizeritemdetailfieldfilter_p.h
+++ b/src/organizer/filters/qorganizeritemdetailfieldfilter_p.h
@@ -70,7 +70,7 @@ public:
     {
     }
 
-    virtual bool compare(const QOrganizerItemFilterPrivate *other) const
+    virtual bool compare(const QOrganizerItemFilterPrivate *other) const override
     {
         const QOrganizerItemDetailFieldFilterPrivate *od = static_cast<const QOrganizerItemDetailFieldFilterPrivate *>(other);
         if (od) {
@@ -81,14 +81,14 @@ public:
     }
 
 #ifndef QT_NO_DATASTREAM
-    QDataStream &outputToStream(QDataStream &stream, quint8 formatVersion) const
+    QDataStream &outputToStream(QDataStream &stream, quint8 formatVersion) const override
     {
         if (formatVersion == 1)
             stream << quint32(m_detailType) << m_detailField << m_exactValue << static_cast<quint32>(m_flags);
         return stream;
     }
 
-    QDataStream &inputFromStream(QDataStream &stream, quint8 formatVersion)
+    QDataStream &inputFromStream(QDataStream &stream, quint8 formatVersion) override
     {
         if (formatVersion == 1) {
             quint32 flags;
@@ -102,7 +102,7 @@ public:
 #endif // QT_NO_DATASTREAM
 
 #ifndef QT_NO_DEBUG_STREAM
-    QDebug &debugStreamOut(QDebug &dbg) const
+    QDebug &debugStreamOut(QDebug &dbg) const override
     {
         dbg.nospace() << "QOrganizerItemDetailFieldFilter(";
         dbg.nospace() << "detailType=";
diff --git a/src/organizer/filters/qorganizeritemdetailfilter_p.h b/src/organizer/filters/qorganizeritemdetailfilter_p.h
index ca4b2391..21729a72 100644
--- a/src/organizer/filters/qorganizeritemdetailfilter_p.h
+++ b/src/organizer/filters/qorganizeritemdetailfilter_p.h
@@ -70,7 +70,7 @@ public:
     {
     }
 
-    virtual bool compare(const QOrganizerItemFilterPrivate *other) const
+    virtual bool compare(const QOrganizerItemFilterPrivate *other) const override
     {
         const QOrganizerItemDetailFilterPrivate *od = static_cast<const QOrganizerItemDetailFilterPrivate *>(other);
         if (od) {
@@ -81,14 +81,14 @@ public:
     }
 
 #ifndef QT_NO_DATASTREAM
-    QDataStream &outputToStream(QDataStream &stream, quint8 formatVersion) const
+    QDataStream &outputToStream(QDataStream &stream, quint8 formatVersion) const override
     {
         if (formatVersion == 1)
             stream << quint32(m_detailType) << m_detailFields << m_exactValues << static_cast<quint32>(m_flags);
         return stream;
     }
 
-    QDataStream &inputFromStream(QDataStream &stream, quint8 formatVersion)
+    QDataStream &inputFromStream(QDataStream &stream, quint8 formatVersion) override
     {
         if (formatVersion == 1) {
             quint32 flags;
@@ -102,7 +102,7 @@ public:
 #endif // QT_NO_DATASTREAM
 
 #ifndef QT_NO_DEBUG_STREAM
-    QDebug &debugStreamOut(QDebug &dbg) const
+    QDebug &debugStreamOut(QDebug &dbg) const override
     {
         dbg.nospace() << "QOrganizerItemDetailFilter(";
         dbg.nospace() << "detailType=";
diff --git a/src/organizer/filters/qorganizeritemdetailrangefilter_p.h b/src/organizer/filters/qorganizeritemdetailrangefilter_p.h
index 7ee8f492..5839baa2 100644
--- a/src/organizer/filters/qorganizeritemdetailrangefilter_p.h
+++ b/src/organizer/filters/qorganizeritemdetailrangefilter_p.h
@@ -70,7 +70,7 @@ public:
     {
     }
 
-    virtual bool compare(const QOrganizerItemFilterPrivate *other) const
+    virtual bool compare(const QOrganizerItemFilterPrivate *other) const override
     {
         const QOrganizerItemDetailRangeFilterPrivate *od = static_cast<const QOrganizerItemDetailRangeFilterPrivate *>(other);
         if (od) {
@@ -82,7 +82,7 @@ public:
     }
 
 #ifndef QT_NO_DATASTREAM
-    QDataStream &outputToStream(QDataStream &stream, quint8 formatVersion) const
+    QDataStream &outputToStream(QDataStream &stream, quint8 formatVersion) const override
     {
         if (formatVersion == 1) {
             stream << static_cast<quint32>(m_detailType)
@@ -93,7 +93,7 @@ public:
         return stream;
     }
 
-    QDataStream &inputFromStream(QDataStream &stream, quint8 formatVersion)
+    QDataStream &inputFromStream(QDataStream &stream, quint8 formatVersion) override
     {
         if (formatVersion == 1) {
             quint32 flags;
@@ -109,7 +109,7 @@ public:
 #endif // QT_NO_DATASTREAM
 
 #ifndef QT_NO_DEBUG_STREAM
-    QDebug &debugStreamOut(QDebug &dbg) const
+    QDebug &debugStreamOut(QDebug &dbg) const override
     {
         dbg.nospace() << "QOrganizerItemDetailRangeFilter(";
         dbg.nospace() << "detailType=";
diff --git a/src/organizer/filters/qorganizeritemidfilter_p.h b/src/organizer/filters/qorganizeritemidfilter_p.h
index 2f19e43b..de633fca 100644
--- a/src/organizer/filters/qorganizeritemidfilter_p.h
+++ b/src/organizer/filters/qorganizeritemidfilter_p.h
@@ -69,7 +69,7 @@ public:
     {
     }
 
-    virtual bool compare(const QOrganizerItemFilterPrivate *other) const
+    virtual bool compare(const QOrganizerItemFilterPrivate *other) const override
     {
         const QOrganizerItemIdFilterPrivate *od = static_cast<const QOrganizerItemIdFilterPrivate *>(other);
         if (od)
@@ -78,14 +78,14 @@ public:
     }
 
 #ifndef QT_NO_DATASTREAM
-    QDataStream &outputToStream(QDataStream &stream, quint8 formatVersion) const
+    QDataStream &outputToStream(QDataStream &stream, quint8 formatVersion) const override
     {
         if (formatVersion == 1)
             stream << m_ids;
         return stream;
     }
 
-    QDataStream &inputFromStream(QDataStream &stream, quint8 formatVersion)
+    QDataStream &inputFromStream(QDataStream &stream, quint8 formatVersion) override
     {
         if (formatVersion == 1)
             stream >> m_ids;
@@ -94,7 +94,7 @@ public:
 #endif // QT_NO_DATASTREAM
 
 #ifndef QT_NO_DEBUG_STREAM
-    QDebug &debugStreamOut(QDebug &dbg) const
+    QDebug &debugStreamOut(QDebug &dbg) const override
     {
         dbg.nospace() << "QOrganizerItemIdFilter(";
         dbg.nospace() << "ids=";
diff --git a/src/organizer/filters/qorganizeritemintersectionfilter_p.h b/src/organizer/filters/qorganizeritemintersectionfilter_p.h
index 63c821cc..c076f6b5 100644
--- a/src/organizer/filters/qorganizeritemintersectionfilter_p.h
+++ b/src/organizer/filters/qorganizeritemintersectionfilter_p.h
@@ -69,7 +69,7 @@ public:
     {
     }
 
-    virtual bool compare(const QOrganizerItemFilterPrivate *other) const
+    virtual bool compare(const QOrganizerItemFilterPrivate *other) const override
     {
         const QOrganizerItemIntersectionFilterPrivate *od = static_cast<const QOrganizerItemIntersectionFilterPrivate *>(other);
         if (od)
@@ -78,14 +78,14 @@ public:
     }
 
 #ifndef QT_NO_DATASTREAM
-    QDataStream &outputToStream(QDataStream &stream, quint8 formatVersion) const
+    QDataStream &outputToStream(QDataStream &stream, quint8 formatVersion) const override
     {
         if (formatVersion == 1)
             stream << m_filters;
         return stream;
     }
 
-    QDataStream &inputFromStream(QDataStream &stream, quint8 formatVersion)
+    QDataStream &inputFromStream(QDataStream &stream, quint8 formatVersion) override
     {
         if (formatVersion == 1)
             stream >> m_filters;
@@ -94,7 +94,7 @@ public:
 #endif // QT_NO_DATASTREAM
 
 #ifndef QT_NO_DEBUG_STREAM
-    QDebug &debugStreamOut(QDebug &dbg) const
+    QDebug &debugStreamOut(QDebug &dbg) const override
     {
         dbg.nospace() << "QOrganizerItemIntersectionFilter(";
         dbg.nospace() << "filters=";
diff --git a/src/organizer/filters/qorganizeriteminvalidfilter.cpp b/src/organizer/filters/qorganizeriteminvalidfilter.cpp
index 9ab6b35f..f1435a0d 100644
--- a/src/organizer/filters/qorganizeriteminvalidfilter.cpp
+++ b/src/organizer/filters/qorganizeriteminvalidfilter.cpp
@@ -60,19 +60,19 @@ public:
     {
     }
 
-    bool compare(const QOrganizerItemFilterPrivate *) const
+    bool compare(const QOrganizerItemFilterPrivate *) const override
     {
         return true;
     }
 
 #ifndef QT_NO_DATASTREAM
-    QDataStream &outputToStream(QDataStream &stream, quint8 formatVersion) const
+    QDataStream &outputToStream(QDataStream &stream, quint8 formatVersion) const override
     {
         Q_UNUSED(formatVersion);
         return stream;
     }
 
-    QDataStream &inputFromStream(QDataStream &stream, quint8 formatVersion)
+    QDataStream &inputFromStream(QDataStream &stream, quint8 formatVersion) override
     {
         Q_UNUSED(formatVersion);
         return stream;
@@ -80,19 +80,19 @@ public:
 #endif // QT_NO_DATASTREAM
 
 #ifndef QT_NO_DEBUG_STREAM
-    QDebug &debugStreamOut(QDebug &dbg) const
+    QDebug &debugStreamOut(QDebug &dbg) const override
     {
         dbg.nospace() << "QOrganizerItemInvalidFilter()";
         return dbg.maybeSpace() ;
     }
 #endif // QT_NO_DEBUG_STREAM
 
-    QOrganizerItemFilterPrivate *clone() const
+    QOrganizerItemFilterPrivate *clone() const override
     {
         return new QOrganizerItemInvalidFilterPrivate();
     }
 
-    QOrganizerItemFilter::FilterType type() const
+    QOrganizerItemFilter::FilterType type() const override
     {
         return QOrganizerItemFilter::InvalidFilter;
     }
diff --git a/src/organizer/filters/qorganizeritemunionfilter_p.h b/src/organizer/filters/qorganizeritemunionfilter_p.h
index 79697d29..75e63891 100644
--- a/src/organizer/filters/qorganizeritemunionfilter_p.h
+++ b/src/organizer/filters/qorganizeritemunionfilter_p.h
@@ -69,7 +69,7 @@ public:
     {
     }
 
-    virtual bool compare(const QOrganizerItemFilterPrivate *other) const
+    virtual bool compare(const QOrganizerItemFilterPrivate *other) const override
     {
         const QOrganizerItemUnionFilterPrivate *od = static_cast<const QOrganizerItemUnionFilterPrivate *>(other);
         if (od)
@@ -78,14 +78,14 @@ public:
     }
 
 #ifndef QT_NO_DATASTREAM
-    QDataStream &outputToStream(QDataStream &stream, quint8 formatVersion) const
+    QDataStream &outputToStream(QDataStream &stream, quint8 formatVersion) const override
     {
         if (formatVersion == 1)
             stream << m_filters;
         return stream;
     }
 
-    QDataStream &inputFromStream(QDataStream &stream, quint8 formatVersion)
+    QDataStream &inputFromStream(QDataStream &stream, quint8 formatVersion) override
     {
         if (formatVersion == 1)
             stream >> m_filters;
@@ -94,7 +94,7 @@ public:
 #endif // QT_NO_DATASTREAM
 
 #ifndef QT_NO_DEBUG_STREAM
-    QDebug &debugStreamOut(QDebug &dbg) const
+    QDebug &debugStreamOut(QDebug &dbg) const override
     {
         dbg.nospace() << "QOrganizerItemUnionFilter(";
         dbg.nospace() << "filters=";
diff --git a/src/organizer/qorganizeritemfilter_p.h b/src/organizer/qorganizeritemfilter_p.h
index 1c87bd16..72593c51 100644
--- a/src/organizer/qorganizeritemfilter_p.h
+++ b/src/organizer/qorganizeritemfilter_p.h
@@ -70,8 +70,8 @@
     Class::Class(const QOrganizerItemFilter& other) : QOrganizerItemFilter() { Class##Private::copyIfPossible(d_ptr, other); }
 
 #define Q_IMPLEMENT_ORGANIZERITEMFILTER_VIRTUALCTORS(Class, Type) \
-    QOrganizerItemFilterPrivate* clone() const { return new Class##Private(*this); } \
-    virtual QOrganizerItemFilter::FilterType type() const {return Type;} \
+    QOrganizerItemFilterPrivate* clone() const override { return new Class##Private(*this); } \
+    virtual QOrganizerItemFilter::FilterType type() const override {return Type;} \
     static void copyIfPossible(QSharedDataPointer<QOrganizerItemFilterPrivate>& d_ptr, const QOrganizerItemFilter& other) \
     { \
         if (other.type() == Type) \
diff --git a/src/organizer/qorganizermanagerenginefactory.h b/src/organizer/qorganizermanagerenginefactory.h
index 7b204a4c..e443592e 100644
--- a/src/organizer/qorganizermanagerenginefactory.h
+++ b/src/organizer/qorganizermanagerenginefactory.h
@@ -66,10 +66,10 @@ class Q_ORGANIZER_EXPORT QOrganizerManagerEngineFactory : public QObject, public
 
 public:
     virtual ~QOrganizerManagerEngineFactory();
-    virtual QOrganizerManagerEngine *engine(const QMap<QString, QString> &parameters, QOrganizerManager::Error *error) = 0;
-    virtual QString managerName() const = 0;
+    virtual QOrganizerManagerEngine *engine(const QMap<QString, QString> &parameters, QOrganizerManager::Error *error) override = 0;
+    virtual QString managerName() const override = 0;
 
-    QStringList keys() const;
+    QStringList keys() const override;
 };
 QT_END_NAMESPACE_ORGANIZER
 
diff --git a/src/organizer/requests/qorganizeritemrequests_p.h b/src/organizer/requests/qorganizeritemrequests_p.h
index d0b5b133..de406080 100644
--- a/src/organizer/requests/qorganizeritemrequests_p.h
+++ b/src/organizer/requests/qorganizeritemrequests_p.h
@@ -81,7 +81,7 @@ public:
     }
 
 #ifndef QT_NO_DEBUG_STREAM
-    QDebug& debugStreamOut(QDebug &dbg) const
+    QDebug& debugStreamOut(QDebug &dbg) const override
     {
         dbg.nospace() << "QOrganizerItemSaveRequest(\n";
         dbg.nospace() << "* items=";
@@ -116,7 +116,7 @@ public:
     }
 
 #ifndef QT_NO_DEBUG_STREAM
-    QDebug& debugStreamOut(QDebug &dbg) const
+    QDebug& debugStreamOut(QDebug &dbg) const override
     {
         dbg.nospace() << "QOrganizerItemFetchRequest(\n";
         dbg.nospace() << "* items=";
@@ -169,7 +169,7 @@ public:
     }
 
 #ifndef QT_NO_DEBUG_STREAM
-    QDebug& debugStreamOut(QDebug &dbg) const
+    QDebug& debugStreamOut(QDebug &dbg) const override
     {
         dbg.nospace() << "QOrganizerItemFetchForExportRequest(\n";
         dbg.nospace() << "* items=";
@@ -217,7 +217,7 @@ public:
     }
 
 #ifndef QT_NO_DEBUG_STREAM
-    QDebug& debugStreamOut(QDebug &dbg) const
+    QDebug& debugStreamOut(QDebug &dbg) const override
     {
         dbg.nospace() << "QOrganizerItemFetchByIdRequest(\n";
         dbg.nospace() << "* items=";
@@ -257,7 +257,7 @@ public:
     }
 
 #ifndef QT_NO_DEBUG_STREAM
-    QDebug& debugStreamOut(QDebug &dbg) const
+    QDebug& debugStreamOut(QDebug &dbg) const override
     {
         dbg.nospace() << "QOrganizerItemOccurrenceFetchRequest(\n";
         dbg.nospace() << "* itemOccurrences=";
@@ -304,7 +304,7 @@ public:
     }
 
 #ifndef QT_NO_DEBUG_STREAM
-    QDebug& debugStreamOut(QDebug &dbg) const
+    QDebug& debugStreamOut(QDebug &dbg) const override
     {
         dbg.nospace() << "QOrganizerItemRemoveRequest(";
         dbg.nospace() << "items=";
@@ -334,7 +334,7 @@ public:
     }
 
 #ifndef QT_NO_DEBUG_STREAM
-    QDebug& debugStreamOut(QDebug& dbg) const
+    QDebug& debugStreamOut(QDebug& dbg) const override
     {
         dbg.nospace() << "QOrganizerItemRemoveByIdRequest(";
         dbg.nospace() << "itemIds=";
@@ -364,7 +364,7 @@ public:
     }
 
 #ifndef QT_NO_DEBUG_STREAM
-    QDebug& debugStreamOut(QDebug &dbg) const
+    QDebug& debugStreamOut(QDebug &dbg) const override
     {
         dbg.nospace() << "QOrganizerItemIdFetchRequest(\n";
         dbg.nospace() << "* itemIds=";
@@ -408,7 +408,7 @@ public:
     }
 
 #ifndef QT_NO_DEBUG_STREAM
-    QDebug& debugStreamOut(QDebug &dbg) const
+    QDebug& debugStreamOut(QDebug &dbg) const override
     {
         dbg.nospace() << "QOrganizerCollectionFetchRequest(";
         dbg.nospace() << "collections=";
@@ -434,7 +434,7 @@ public:
     }
 
 #ifndef QT_NO_DEBUG_STREAM
-    QDebug& debugStreamOut(QDebug &dbg) const
+    QDebug& debugStreamOut(QDebug &dbg) const override
     {
         dbg.nospace() << "QOrganizerCollectionRemoveRequest(";
         dbg.nospace() << "collectionIds=";
@@ -464,7 +464,7 @@ public:
     }
 
 #ifndef QT_NO_DEBUG_STREAM
-    QDebug& debugStreamOut(QDebug &dbg) const
+    QDebug& debugStreamOut(QDebug &dbg) const override
     {
         dbg.nospace() << "QOrganizerCollectionSaveRequest(";
         dbg.nospace() << "collections=";
diff --git a/src/versit/qvcard21writer_p.h b/src/versit/qvcard21writer_p.h
index 5290fa41..78930fad 100644
--- a/src/versit/qvcard21writer_p.h
+++ b/src/versit/qvcard21writer_p.h
@@ -61,10 +61,10 @@ public:
     QVCard21Writer(QVersitDocument::VersitType type);
     ~QVCard21Writer();
 
-    void encodeVersitProperty(const QVersitProperty& property);
+    void encodeVersitProperty(const QVersitProperty& property) override;
     bool requiresUtf8(const QStringList& values);
     void encodeVersitValue(QMultiHash<QString,QString>& parameters, QString& value, bool forceUtf8);
-    void encodeParameters(const QMultiHash<QString,QString>& parameters);
+    void encodeParameters(const QMultiHash<QString,QString>& parameters) override;
     static bool containsNonAscii(const QString& str);
     static bool quotedPrintableEncode(QString& text);
     static bool shouldBeQuotedPrintableEncoded(QChar chr);
diff --git a/src/versit/qvcard30writer_p.h b/src/versit/qvcard30writer_p.h
index f68036af..041ff654 100644
--- a/src/versit/qvcard30writer_p.h
+++ b/src/versit/qvcard30writer_p.h
@@ -61,8 +61,8 @@ public:
     QVCard30Writer(QVersitDocument::VersitType type);
     ~QVCard30Writer();
 
-    void encodeVersitProperty(const QVersitProperty& property);
-    void encodeParameters(const QMultiHash<QString,QString>& parameters);
+    void encodeVersitProperty(const QVersitProperty& property) override;
+    void encodeParameters(const QMultiHash<QString,QString>& parameters) override;
     static void backSlashEscape(QString* text);
     QHash<QString,QString> mPropertyNameMappings;
 };
diff --git a/src/versit/qversitcontacthandler.h b/src/versit/qversitcontacthandler.h
index 1744e649..b50b612e 100644
--- a/src/versit/qversitcontacthandler.h
+++ b/src/versit/qversitcontacthandler.h
@@ -73,11 +73,11 @@ class Q_VERSIT_EXPORT QVersitContactHandlerFactory : public QObject, public QVer
     Q_INTERFACES(QtVersit::QVersitContactHandlerFactoryInterface:QFactoryInterface)
 public:
     virtual ~QVersitContactHandlerFactory() {}
-    virtual QSet<QString> profiles() const { return QSet<QString>(); }
-    virtual QString name() const = 0;
-    virtual int index() const { return 0; }
-    virtual QVersitContactHandler* createHandler() const = 0;
-    virtual QStringList keys() const;
+    virtual QSet<QString> profiles() const override { return QSet<QString>(); }
+    virtual QString name() const override = 0;
+    virtual int index() const override { return 0; }
+    virtual QVersitContactHandler* createHandler() const override = 0;
+    virtual QStringList keys() const override;
 
     inline static const QString ProfileSync() {return QStringLiteral("Sync");};
     inline static const QString ProfileBackup() {return QStringLiteral("Backup");};
diff --git a/src/versit/qversitreader_p.h b/src/versit/qversitreader_p.h
index d8ed7eca..3ecbf432 100644
--- a/src/versit/qversitreader_p.h
+++ b/src/versit/qversitreader_p.h
@@ -207,7 +207,7 @@ signals:
     void resultsAvailable();
 
 protected: // From QThread
-     void run();
+     void run() override;
 
 public: // New functions
     void read();
diff --git a/src/versit/qversitresourcehandler.h b/src/versit/qversitresourcehandler.h
index 691e8b7a..9af907f1 100644
--- a/src/versit/qversitresourcehandler.h
+++ b/src/versit/qversitresourcehandler.h
@@ -64,9 +64,9 @@ class Q_VERSIT_EXPORT QVersitDefaultResourceHandler : public QVersitResourceHand
 public:
     QVersitDefaultResourceHandler();
     virtual ~QVersitDefaultResourceHandler();
-    virtual bool loadResource(const QString& location, QByteArray* contents, QString* mimeType);
+    virtual bool loadResource(const QString& location, QByteArray* contents, QString* mimeType) override;
     virtual bool saveResource(const QByteArray& contents, const QVersitProperty& property,
-                              QString* location);
+                              QString* location) override;
 
 protected:
     QVersitDefaultResourceHandlerPrivate* d;
diff --git a/src/versit/qversitwriter_p.h b/src/versit/qversitwriter_p.h
index fc8ab012..96e46a91 100644
--- a/src/versit/qversitwriter_p.h
+++ b/src/versit/qversitwriter_p.h
@@ -87,7 +87,7 @@ public:
     void setDocumentType(QVersitDocument::VersitType type);
     QVersitDocument::VersitType documentType() const;
 
-    void run();
+    void run() override;
 
     static QVersitDocumentWriter* writerForType(QVersitDocument::VersitType type, const QVersitDocument& document);
 
-- 
2.30.2

